From b33bb15af1320969dc7ccf418744543c7aef0c68 Mon Sep 17 00:00:00 2001
From: Peter Vreman <peter.vreman@acision.com>
Date: Wed, 6 May 2009 20:18:35 +0200
Subject: [PATCH] use system.name as caching key instead of interface dns_name

---
 cobbler/modules/manage_isc.py |    6 +++---
 1 files changed, 3 insertions(+), 3 deletions(-)

diff --git a/cobbler/modules/manage_isc.py b/cobbler/modules/manage_isc.py
index 6abb3e1..d5c659e 100644
--- a/cobbler/modules/manage_isc.py
+++ b/cobbler/modules/manage_isc.py
@@ -222,11 +222,11 @@ class IscManager:
 
                 # add references to the system, profile, and distro
                 # for use in the template
-                if blender_cache.has_key(host):
-                    blended_system = blender_cache[host]
+                if blender_cache.has_key(system.name):
+                    blended_system = blender_cache[system.name]
                 else:
                     blended_system  = utils.blender( self.api, False, system )
-                    blender_cache[host] = blended_system
+                    blender_cache[system.name] = blended_system
 
                 interface["next_server"] = blended_system["server"]
                 interface["netboot_enabled"] = blended_system["netboot_enabled"]
-- 
1.5.5.6

